/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ForgotPasswordConfirmationRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ForgotPasswordConfirmationRequest {
  @SerializedName("username")
  private String username = null;

  @SerializedName("confirmation_token")
  private String confirmationToken = null;

  @SerializedName("password")
  private String password = null;

  public ForgotPasswordConfirmationRequest username(String username) {
    this.username = username;
    return this;
  }

   /**
   * UserName
   * @return username
  **/
  @ApiModelProperty(example = "johndoe", required = true, value = "UserName")
  public String getUsername() {
    return username;
  }

  public void setUsername(String username) {
    this.username = username;
  }

  public ForgotPasswordConfirmationRequest confirmationToken(String confirmationToken) {
    this.confirmationToken = confirmationToken;
    return this;
  }

   /**
   * Confirmation token
   * @return confirmationToken
  **/
  @ApiModelProperty(example = "622239", required = true, value = "Confirmation token")
  public String getConfirmationToken() {
    return confirmationToken;
  }

  public void setConfirmationToken(String confirmationToken) {
    this.confirmationToken = confirmationToken;
  }

  public ForgotPasswordConfirmationRequest password(String password) {
    this.password = password;
    return this;
  }

   /**
   * Password. Should respect psw policy
   * @return password
  **/
  @ApiModelProperty(example = "complexEnough!1", required = true, value = "Password. Should respect psw policy")
  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ForgotPasswordConfirmationRequest forgotPasswordConfirmationRequest = (ForgotPasswordConfirmationRequest) o;
    return Objects.equals(this.username, forgotPasswordConfirmationRequest.username) &&
        Objects.equals(this.confirmationToken, forgotPasswordConfirmationRequest.confirmationToken) &&
        Objects.equals(this.password, forgotPasswordConfirmationRequest.password);
  }

  @Override
  public int hashCode() {
    return Objects.hash(username, confirmationToken, password);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ForgotPasswordConfirmationRequest {\n");
    
    sb.append("    username: ").append(toIndentedString(username)).append("\n");
    sb.append("    confirmationToken: ").append(toIndentedString(confirmationToken)).append("\n");
    sb.append("    password: ").append(toIndentedString(password)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

